from abc import ABC

from bclearer_orchestration_services.identification_services.b_identity_ecosystem.bie_id_creation_module.identity_vectors import (
    BieIdentityVectorBase,
)
from bclearer_core.bie.top.bie_objects import (
    BieObjects,
)


class BieDomainObjects(
    BieObjects,
    ABC,
):
    def __init__(
        self,
        identity_vector: BieIdentityVectorBase,
    ):
        super().__init__(
            identity_vector=identity_vector,
        )
